Bug 56668 - libglide3 draws lines with poor quality for mesa
libglide3 draws lines with poor quality for mesa
Product: Red Hat Linux
Classification: Retired
Component: XFree86 (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Mike A. Harris
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2001-11-23 14:59 EST by seth lytle
Modified: 2007-04-18 12:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-03-11 02:25:31 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
the config file for xfree4 (3.65 KB, text/plain)
2001-11-23 15:03 EST, seth lytle
no flags Details

  None (edit)
Description seth lytle 2001-11-23 14:59:07 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.78 [en] (X11; U; Linux 2.4.7-10 i686)

Description of problem:
/usr/lib/glide3/libglide3-v3.so from XFree86-libs-4.1.0-3 rpm draws lines
incorrectly - solid lines appear either solid, dotted or invisible. athlon
and voodoo3 3000.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.fresh redhat 7.2

Actual Results:  the grid (behind the ball) is of low quality,
particularly, the left edge of the grid is missing.

Expected Results:  crisp, solid lines making up the grid.

Additional info:

the problem is easily corrected by replacing the supplied
on my system.
Comment 1 seth lytle 2001-11-23 15:03:55 EST
Created attachment 38463 [details]
the config file for xfree4
Comment 2 Mike A. Harris 2002-03-11 02:25:26 EST
Trying to reproduce...
Comment 3 Mike A. Harris 2002-03-11 02:50:42 EST
I am running the latest Glide3 build from rawhide, with XFree86 4.2.0-6.44
on a Voodoo 3 16Mb card, in 1024x768 in 16 bith depth, with DRI enabled.

The grid behind the ball is ok.  Whatever the problem may have been, it
is not present now.
Comment 4 seth lytle 2002-10-11 01:33:53 EDT
origonally reported against redhat 7.2, i have reproduced with redhat 7.3.
libglide has moved ( ie from glide3/ to .. ), but otherwise no change. did the
improvements in rawhide make it into 7.3?

Note You need to log in before you can comment on or make changes to this bug.